## e-mail-formatter-enums e-mail-formatter-enums |

## Types and Values

enum | EMailFormatterColor
enum | EMailFormatterHeaderFlags
enum | EMailFormatterMode
enum | EMailFormatterQuoteFlags
enum | EMailParserExtensionFlags
enum | EMailPartValidityFlags

## Description

## Functions

## Types and Values

### enum EMailFormatterColor

#### Members

E_MAIL_FORMATTER_COLOR_BODY |  |
E_MAIL_FORMATTER_COLOR_CITATION |  |
E_MAIL_FORMATTER_COLOR_CONTENT |  |
E_MAIL_FORMATTER_COLOR_FRAME |  |
E_MAIL_FORMATTER_COLOR_HEADER |  |
E_MAIL_FORMATTER_COLOR_TEXT |  |
E_MAIL_FORMATTER_NUM_COLOR_TYPES |  |

### enum EMailFormatterHeaderFlags

#### Members

E_MAIL_FORMATTER_HEADER_FLAG_COLLAPSABLE |  |
E_MAIL_FORMATTER_HEADER_FLAG_COLLAPSED |  |
E_MAIL_FORMATTER_HEADER_FLAG_HTML |  |
E_MAIL_FORMATTER_HEADER_FLAG_NOCOLUMNS |  |
E_MAIL_FORMATTER_HEADER_FLAG_BOLD |  |
E_MAIL_FORMATTER_HEADER_FLAG_NODEC |  |
E_MAIL_FORMATTER_HEADER_FLAG_HIDDEN |  |
E_MAIL_FORMATTER_HEADER_FLAG_NOLINKS |  |
E_MAIL_FORMATTER_HEADER_FLAG_NOELIPSIZE |  |

### enum EMailFormatterMode

#### Members

E_MAIL_FORMATTER_MODE_INVALID |  |
E_MAIL_FORMATTER_MODE_NORMAL |  |
E_MAIL_FORMATTER_MODE_SOURCE |  |
E_MAIL_FORMATTER_MODE_RAW |  |
E_MAIL_FORMATTER_MODE_PRINTING |  |
E_MAIL_FORMATTER_MODE_ALL_HEADERS |  |

### enum EMailFormatterQuoteFlags

#### Members

E_MAIL_FORMATTER_QUOTE_FLAG_CITE |  |
E_MAIL_FORMATTER_QUOTE_FLAG_HEADERS |  |
E_MAIL_FORMATTER_QUOTE_FLAG_KEEP_SIG |  |

### enum EMailParserExtensionFlags

#### Members

E_MAIL_PARSER_EXTENSION_INLINE | Don't parse as attachment. |
E_MAIL_PARSER_EXTENSION_INLINE_DISPOSITION | Always expand. |
E_MAIL_PARSER_EXTENSION_COMPOUND_TYPE | Always check what's inside. |

### enum EMailPartValidityFlags

#### Members

E_MAIL_PART_VALIDITY_NONE |  |
E_MAIL_PART_VALIDITY_PGP |  |
E_MAIL_PART_VALIDITY_SMIME |  |
E_MAIL_PART_VALIDITY_SIGNED |  |
E_MAIL_PART_VALIDITY_ENCRYPTED |  |